Public Attributes | List of all members
clan::StyleGradient Class Reference

Linear or radial gradient. More...

`#include <style_set_image.h>`

## Public Attributes
StyleSetValue | linear_angle
StyleSetValue | radial_position_x
StyleSetValue | radial_position_y
StyleSetValue | radial_shape
StyleSetValue | radial_size_x
StyleSetValue | radial_size_y
std::vector< StyleGradientStop > | stops
StyleSetValue | type

## Detailed Description

Linear or radial gradient.

## Member Data Documentation

StyleSetValue clan::StyleGradient::linear_angle

StyleSetValue clan::StyleGradient::radial_position_x

StyleSetValue clan::StyleGradient::radial_position_y

StyleSetValue clan::StyleGradient::radial_shape

StyleSetValue clan::StyleGradient::radial_size_x

StyleSetValue clan::StyleGradient::radial_size_y

std::vector<StyleGradientStop> clan::StyleGradient::stops

StyleSetValue clan::StyleGradient::type

The documentation for this class was generated from the following file:

- style_set_image.h